Bug 890311 - mathomatic linking readline.
mathomatic linking readline.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mathomatic (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-26 05:24 EST by mejiko
Modified: 2013-04-03 10:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-03 10:40:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 687063 None None None Never

  None (edit)
Description mejiko 2012-12-26 05:24:36 EST
Hello.

mathomatic (Licensed under LGPL) linked readline, readline is licensed under GPL.

LGPL is not compatible GPL, but if convert LGPL to GPL (LGPLv2 Section 3), That is OK (compatible).

Suggests:

1. replace readline to editline.
2. convert LGPL to GPL.
3. Remove Fedora repos.

thanks.




Reference

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#GPL_Compatibility_Matrix
Comment 1 mejiko 2012-12-26 05:25:14 EST
Bloking FE-Legal, This is license problem.
Comment 2 Terje Røsten 2012-12-26 11:54:06 EST
Thanks for your report.
Comment 3 Fedora Update System 2012-12-26 16:23:48 EST
mathomatic-16.0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mathomatic-16.0.5-2.fc17
Comment 4 Fedora Update System 2012-12-26 16:23:58 EST
mathomatic-16.0.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mathomatic-16.0.5-2.fc18
Comment 5 Fedora Update System 2012-12-26 16:24:07 EST
mathomatic-16.0.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mathomatic-16.0.5-2.fc16
Comment 6 Fedora Update System 2013-01-05 01:47:37 EST
mathomatic-16.0.5-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-01-05 01:49:55 EST
mathomatic-16.0.5-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-01-11 19:40:42 EST
mathomatic-16.0.5-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Terje Røsten 2013-02-23 03:48:09 EST
Issue is fixed. mejiko can you lift block FE-Legal please?
Comment 10 mejiko 2013-04-03 05:14:39 EDT
(In reply to comment #9)
> Issue is fixed. mejiko can you lift block FE-Legal please?

OK. I remove blocked FE-Legal, Its problem is resolved. (linking readline to editline)

Note You need to log in before you can comment on or make changes to this bug.